<?php


namespace Tests\Inventory\Services\InventoryAccountService;


use App\InventoryAccount;
use App\Services\InventoryAccountService;
use Tests\TestCase;

class InventoryAccountService_GetTest extends TestCase
{
    public $inventories;
    public $inventorys;
    public $queryParam=[];
    function testGet(){
        $inventoryService=new InventoryAccountService();
        $this->inventories=$inventoryService->get($this->queryParam);
        $this->inventorys=InventoryAccount::with(['owner'])->orderBy('id','desc')->get();
        $this->assertEquals(count($this->inventorys),count($this->inventories));
        $this->assertEquals($this->inventorys,$this->inventories);
    }
}

